Linux 安装LinuxAdditions-增强功能 出错解决办法

为了学习需要,没办法,本人要安装一个linux的服务器,因为在学校这个破电信只能用他们自己的客户端拨号才能上网,但是这个客户端没有linux下的,所以没办法了,只能在虚拟机里安装,因为之前有用过ubuntu8.10桌面版的经验,所以选择了ubuntu9.04的服务器版作为实验的对象,哈哈。学习吗,就是不断的实验,但是奈何在安装VBox的VboxLinuxAdditions-x86.run的时候他就是死活安装不上,
在输入:sudo sh VboxLinuxAdditions-x86.run回车之后,总是提示

Please install the build and header files for your current Linux kernel
The current kernel version is 2.6.28-11-server
Problems were found which would prevent the Guest Additions from installing.
Please correct these problems and try again.

还有其他一些信息,无奈只能上网找答案,幸好,在一个国外网站上找到了解决方法:方法如下:

打开终端,输入如下命令,然后再试一次
sudo aptitude install build-essential linux-headers-`uname -r` 

一般情况下,问题即可解决。

评论

  1. 12年前
    2009-5-03 22:51:29

    缺少内核头文件和编译环境

  2. 一米 博主
    12年前
    2009-5-03 23:15:27

    wuzhez :

    缺少内核头文件和编译环境

    恩,呵呵,对于外行还是直接给答案比较好。

发送评论 编辑评论


				
|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇